/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

import com.google.gson.annotations.SerializedName;

public class RecordImpl implements RecordInterface {

  @SerializedName(value = "ROOM")
  private String room;
  @SerializedName(value = "DATETIME")
  private Long datetime;
  @SerializedName(value = "MESSAGE")
  private String message;
  private ChatUser chatuser;
  
  
  @Override
  public void setRoom(String value) {
    room = value;
  }
  
  
  @Override
  public String getRoom() {
    return room;
  }
  
  
  @Override
  public void setMessage(String value) {
    message = value;
  }
  
  
  @Override
  public String getMessage() {
    return message;
  }
  
  
  @Override
  public void setDatetime(Long value) {
    datetime = value;
  }
  
  
  @Override
  public Long getDatetime() {
    return datetime;
  }
  
  
  @Override
  public void setChatUser(ChatUser value) {
    chatuser = value;
  }
  
  
  @Override
  public ChatUser getChatUser() {
    return chatuser;
  }

}
